/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:RulesManagerModelLocator.as 2485 2008-09-30 14:14:35Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.model.textual;

import org.ow2.jasmine.rules.manager.model.AbstractRulePackage;


/**
 * A rule package
 *
 * @author Julien Nicoulaud
 *
 */
public class TextualRulePackage extends AbstractRulePackage
								implements ITextualRulePackage {

	// =========================================================================
	// Properties
	// =========================================================================

	/**
	* The DRL source of the rule package
	*/
	public String content;


    // =========================================================================
    // Getters & Setters
    // =========================================================================

	/**
	 * Get the content
	 */
	public String getContent() {
		return content;
	}

	/**
	 * Set the content
	 */
	public void setContent(final String value) {
		content = value;
	}


    // =========================================================================
    // Utils
    // =========================================================================

	/**
     * Get the generated source in Drools syntax
     */
    public String getDrlSource()
    {
        return content;
    }

}
