/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: LHSCodeSnippet.java 4606 2009-07-30 08:55:17Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.rules.manager.model.visual;

import java.util.ArrayList;
import java.util.List;

import org.ow2.jasmine.rules.manager.model.AbstractRulePackageMember;



/**
* An element of the LHS part (when) of a rule
*
* @author Julien Nicoulaud
*/
public class LHSCodeSnippet extends AbstractRulePackageMember
                        implements ILHSElement
{

	// =========================================================================
	// Properties
	// =========================================================================

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
    * The content
    */
    public String content = "";


    // =========================================================================
    // Getters and setters
    // =========================================================================

    /**
    * Set the content
    */
    public void setContent(final String value)
    {
        content = value;
    }

    /**
    * Get the content
    */
    public String getContent()
    {
        return content;
    }
    
    
    // =========================================================================
    // Implementation of IRulePackageVO
    // =========================================================================

    /**
    * Get the generated source in Drools syntax
    */
    public String getDrlSource()
    {
        return getContent();
    }
}
